summaryrefslogtreecommitdiffstats
path: root/tests/set-interpreter-long.sh
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2005-09-30 15:43:10 (GMT)
committerEelco Dolstra <e.dolstra@tudelft.nl>2005-09-30 15:43:10 (GMT)
commit774bdc0d5ee67dec0f99392d61550ba7b474eac0 (patch)
treec7a33ff283aaf6b4cd858028031c676597c9c71c /tests/set-interpreter-long.sh
parent8d7076e8cfeb874235b2ce0a2aca638f559fa739 (diff)
downloadpatchelf-774bdc0d5ee67dec0f99392d61550ba7b474eac0.zip
patchelf-774bdc0d5ee67dec0f99392d61550ba7b474eac0.tar.gz
patchelf-774bdc0d5ee67dec0f99392d61550ba7b474eac0.tar.bz2
* Also try a interpreter with a long name.
Diffstat (limited to 'tests/set-interpreter-long.sh')
-rwxr-xr-xtests/set-interpreter-long.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/tests/set-interpreter-long.sh b/tests/set-interpreter-long.sh
new file mode 100755
index 0000000..ab0e9bc
--- /dev/null
+++ b/tests/set-interpreter-long.sh
@@ -0,0 +1,23 @@
+#! /bin/sh -e
+
+./simple
+
+oldInterpreter=$(../src/patchelf --print-interpreter ./simple)
+echo "current interpreter is $oldInterpreter"
+
+rm -rf scratch
+mkdir -p scratch
+
+newInterpreter=$(pwd)/scratch/iiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiii
+cp simple scratch/
+../src/patchelf --interpreter "$newInterpreter" scratch/simple
+
+echo "running with missing interpreter..."
+if scratch/simple; then
+ echo "simple works, but it shouldn't"
+ exit 1
+fi
+
+echo "running with new interpreter..."
+ln -s "$oldInterpreter" "$newInterpreter"
+scratch/simple